> ## Documentation Index
> Fetch the complete documentation index at: https://docs.posthook.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Hook

> Cancel a hook. The hook will be cancelled immediately and deleted.

Delete a hook by ID. This can be used to cancel a pending hook or remove a past hook record.

## Parameters

<ParamField path="id" type="string" required>
  The ID of the hook to cancel.
</ParamField>


## OpenAPI

````yaml DELETE /hooks/{id}
openapi: 3.0.0
info:
  title: Posthook API
  version: 1.0.0
  description: >-
    REST API for scheduling, managing, and inspecting durable webhook
    deliveries.
servers:
  - url: https://api.posthook.io/v1
security:
  - apiKey: []
paths:
  /hooks/{id}:
    delete:
      summary: Cancel Hook
      description: Cancel a hook. The hook will be cancelled immediately and deleted.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Hook cancelled
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header

````